Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp2
Interface Mtp2LayerManagerMBean

public abstract interface Mtp2LayerManagerMBean
extends OamLayerManagerMBean, Mtp2ManagedObjectMBean

This interface defines the methods required for the creation and management of all MTP Level 2 Managed MBeans.

The Mtp2LayerManagerMBean acts as a factory for the creation of Mtp2ManagedObjectMBeans and allows a NotificationListener to register as a listener of all Mtp2ManagedObjectMBeans.

When creating a MBean an entry must be added to the LookupTable of that MBean's ObjectName and reference, and when a MBean is being deleted the corresponding entry in the LookupTable must be removed. This is to enable the application to operate successfully without a JMX agent.

An instance of this Mtp2LayerManagerMBean should be created through the JainSS7Factory. The JainSS7Factory defines a naming convention to locate a proprietary implementation of this interface.

Under the JAIN naming convention, the upper-level package structure (pathname) can be used to differentiate between proprietary implementations from different SS7 Vendors. The pathname used by each SS7 Vendor must be the domain name assigned to the Vendor in reverse order, e.g. Sun Microsystem's would be 'com.sun'

In order to be recognised as a JMX MBean a class implementing this interface must be called Mtp2LayerManager.

It follows that a proprietary implementation of a Mtp2LayerManagerMBean will be located at:

.jain.protocol.ss7.oam.mtp2.Mtp2LayerManager

Where:

pathname = reverse domain name, e.g. 'com.aepona'

The resulting Mtp2LayerManager from AePONA would be located at:

com.aepona.jain.protocol.ss7.oam.mtp2.Mtp2LayerManager

Consequently, an application may create a Mtp2LayerManagerMBean by invoking: JainSS7Factory.createSS7Object(jain.protocol.ss7.oam.mtp2.Mtp2LayerManager). The PathName of the vendor specific implementation of which you want to instantiate can be set before calling JainSS7Factory.setPathName("vendorPathname"); or the default or current pathname may be used.

This illustrates how JAIN OAM MBeans are instantiated

Relationship between the MTP2 JAIN OAM MBean

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Fields inherited from class jain.protocol.ss7.oam.OamLayerManagerMBean
`PROTOCOL_VARIANT_ANSI_1992, PROTOCOL_VARIANT_ANSI_1996, PROTOCOL_VARIANT_ITU_1993, PROTOCOL_VARIANT_ITU_1996, PROTOCOL_VARIANT_ITU_1997, PROTOCOL_VARIANT_OTHER`

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName` | `createMtp2Sap(java.lang.Integer portType)` Creates a new Mtp2SapMBean.
`ObjectName` | `createMtp2TimerProfile()` Creates a new Mtp2 Timer Profile MBean that will use the correct Timer values for the the protocol variant of this Mtp2LayerManager.
`void` | `deleteMtp2Sap(ObjectName sap)` Deletes the Mtp2SapMBean identified by the specified ObjectName.
`void` | `deleteMtp2TimerProfile(ObjectName timerProfile)` Deletes the Mtp2TimerProfileMBean identified by the specified ObjectName.
`ObjectName` | `getActiveMtp2Sap(java.lang.Integer index)` Returns the ObjectName of one of the the Mtp2 Service Access Points (Mtp2SapMBeans) There is a subtle difference between this method and the getMtp2Saps() method in that this method returns the ObjectName of one of the Mtp2SapMBeans that are currently in use, whereas the getMtp2Saps() method returns the ObjectName of one of all the Mtp2SapMBeans (both those Mtp2SapMBeans currently in use and the Mtp2SapMBeans that have been configured are not available for use for any reason including for backup).
`ObjectName[]` | `getActiveMtp2Saps()` Returns the ObjectNames of all of the the Mtp2 Service Access Point MBeans (Mtp2SapMBeans).
`ObjectName` | `getMtp2Sap(java.lang.Integer index)` Returns the ObjectName of one of the Mtp2SapMBeans created by this layer manager
`ObjectName[]` | `getMtp2Saps()` Returns the ObjectNames of all of the Mtp2SapMBeans created by this layer manager
`ObjectName` | `getMtp2TimerProfile(java.lang.Integer index)` Returns the ObjectName of one of the Mtp2TimerProfileMBeans created by this layer manager
`ObjectName[]` | `getMtp2TimerProfiles()` Returns the ObjectNames of all of the Mtp2TimerProfileMBeans created by this layer manager
`void` | `setActiveMtp2Sap(java.lang.Integer index, ObjectName mtp2Sap)` Sets one of the Mtp2 Service Access Points (Mtp2SapMBeans) identified by the specified ObjectName
`void` | `setActiveMtp2Saps(ObjectName[] mtp2Saps)` Sets all of the Mtp2 Service Access Points (Mtp2SapMBeans) identified by the specified array of ObjectNames

Methods inherited from interface jain.protocol.ss7.oam.OamLayerManagerMBean
`addNotificationListenerToAllMBeans, commit, getAllOamManagedObjects, getLookupTable, getProtocolVariantAndYear, getStackName, getVendorDetails, readCurrentConfiguration, removeNotificationListenerFromAllMBeans, rollBack, setProtocolVariantAndYear, setStackName`

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### createMtp2TimerProfile

    public ObjectName createMtp2TimerProfile()
                                      throws TooManyInstancesException

  Creates a new Mtp2 Timer Profile MBean that will use the correct Timer values for the the protocol variant of this Mtp2LayerManager. When the Timer Profile is created, the corresponding OamTimerVals should be created for each Timer with the correct min, max and default values set.
  Returns:
    the ObjectName of the newly created Mtp2TimerProfileMBean
  Throws:
    TooManyInstancesException - -

### createMtp2Sap

    public ObjectName createMtp2Sap(java.lang.Integer portType)
                             throws TooManyInstancesException,
                                    java.lang.IllegalArgumentException

  Creates a new Mtp2SapMBean.
  Parameters:
    `portType` - either:

    - Mtp2SapMBean.PORT_TYPE_DTE - connects the transmit clock to the applicable line interface circuit
    - Mtp2SapMBean.PORT_TYPE_DCE - connects the transmit clock to an internal baud rate generator and provides this clock to the applicable line interface circuit.
  Returns:
    the ObjectName of the newly created Mtp2SapMBean
  Throws:
    TooManyInstancesException - - if the implementation cannot create any more SAPs
    IllegalAgrumentException - - if the supplied port type is not one of the defined types

### deleteMtp2TimerProfile

    public void deleteMtp2TimerProfile(ObjectName timerProfile)

  Deletes the Mtp2TimerProfileMBean identified by the specified ObjectName. Note that once a Mtp2TimerProfileMBean has been deleted, it should no longer be returned by the getMtp2TimerProfiles() method.

### deleteMtp2Sap

    public void deleteMtp2Sap(ObjectName sap)

  Deletes the Mtp2SapMBean identified by the specified ObjectName. Note that once a Mtp2SapMBean has been deleted, it should no longer be returned by the getMtp2Saps() method.

### getActiveMtp2Sap

    public ObjectName getActiveMtp2Sap(java.lang.Integer index)

  Returns the ObjectName of one of the the Mtp2 Service Access Points (Mtp2SapMBeans)

  There is a subtle difference between this method and the getMtp2Saps() method in that this method returns the ObjectName of one of the Mtp2SapMBeans that are currently in use, whereas the getMtp2Saps() method returns the ObjectName of one of all the Mtp2SapMBeans (both those Mtp2SapMBeans currently in use and the Mtp2SapMBeans that have been configured are not available for use for any reason including for backup). Every Mtp2SapMBeans that was created through the createMtp2Sap() method shall be returned by the getMtp2Saps() method, but only those MTP2 SAPs that have been activated using the setActiveMtp2Sap() method shall be returned by this method.

  Parameters:
    `index` - the index position of the SAP
  Returns:
    the ObjectName of the Mtp2SapMBean at the specified position

### setActiveMtp2Sap

    public void setActiveMtp2Sap(java.lang.Integer index,
                                 ObjectName mtp2Sap)
                          throws TooManyInstancesException

  Sets one of the Mtp2 Service Access Points (Mtp2SapMBeans) identified by the specified ObjectName
  Parameters:
    `index` - the index position of the SAP
    `mtp2Sap` - the Mtp2SapMBean to be set at the specified position
  Throws:
    TooManyInstancesException - - if index is greater than the number of Mtp2SapsMBeans permitted by this implementation.

### getActiveMtp2Saps

    public ObjectName[] getActiveMtp2Saps()

  Returns the ObjectNames of all of the the Mtp2 Service Access Point MBeans (Mtp2SapMBeans).

  There is a subtle difference between this method and the getMtp2Saps() method in that this method returns only the ObjectNames of the Mtp2SapMBeans that are currently in use, whereas the getMtp2Saps() method returns the ObjectNames of all Mtp2SapMBeans (both those Mtp2SapMBeans currently in use and the Mtp2SapMBeans that have been configured are not available for use for any reason including for backup). The ObjectNames of every Mtp2SapMBeans that was created through the createMtp2Sap() method shall be returned by the getMtp2Saps() method, but only those Mtp2SapMBeans that have been activated using the setActiveMtp2Sap() method shall be returned by this method.

  Returns:
    the ObjectNames of all of the Mtp2 Service Access Point MBeans (Mtp2SapMBeans)

### setActiveMtp2Saps

    public void setActiveMtp2Saps(ObjectName[] mtp2Saps)
                           throws TooManyInstancesException

  Sets all of the Mtp2 Service Access Points (Mtp2SapMBeans) identified by the specified array of ObjectNames
  Parameters:
    `mtp2Saps` - all of the the Mtp2 Service Access Point MBeans.
  Throws:
    TooManyInstancesException - - if the size of the array of ObjectNames is greater than the number of Mtp2SapMBeans permitted by this implementation.
    TooManyInstancesException - - if no more SAPs can be activated

### getMtp2Saps

    public ObjectName[] getMtp2Saps()

  Returns the ObjectNames of all of the Mtp2SapMBeans created by this layer manager

### getMtp2Sap

    public ObjectName getMtp2Sap(java.lang.Integer index)

  Returns the ObjectName of one of the Mtp2SapMBeans created by this layer manager
  Parameters:
    `index` - the index of the MTP2 SAP in the list

### getMtp2TimerProfiles

    public ObjectName[] getMtp2TimerProfiles()

  Returns the ObjectNames of all of the Mtp2TimerProfileMBeans created by this layer manager

### getMtp2TimerProfile

    public ObjectName getMtp2TimerProfile(java.lang.Integer index)

  Returns the ObjectName of one of the Mtp2TimerProfileMBeans created by this layer manager
  Parameters:
    `index` - the index of the MTP2 Timer Profiles in the list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems